/***** interface.h ********************************
 * Description: Header file for user interface.
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * Date: Sun Jun 20 13:07:28 2004.
 * Licence: GNU General Public
 ***************************************************/ 
#define NUMCHAR 256           /* number of characters in alphabet */
#define DEFAULT_B BUFSIZ      /* default buffer size */

/* define argument container */
typedef struct args{
  char h;   /* help message? */
  char v;   /* version message? */
  char e;   /* error message? */
  char E;   /* exact count? */
  char **inputFiles;
  int s;    /* treat files separately */
  int b;    /* buffer size */
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);
